[Dnsmasq-discuss] [Patch] dnsmasq with IPSET feature enabled doesn't compile on linux kernel < 2.6.24

Simon Kelley simon at thekelleys.org.uk
Mon Apr 22 14:07:16 BST 2013


On 20/04/13 15:31, Eugene Rudoy wrote:
> Dear all,
>
> dnsmasq with IPSET feature enabled (added in dnsmasq-2.66 and enabled by
> default) doesn't compile on linux kernel versions<  2.6.24. The attached
> patch fixes the problem by disabling the feature for these kernel versions.
>
> As far as I understand the missing symbols are just convenience ones, from
> technical point of view it is possible to add IPSET support also for kernel
> versions prior to 2.6.24. I however don't need this feature, thus simple
> disable-patch.
>

Hmmm, As I recall, considerable effort was made to get this code to work 
with old kernels, so I'm wary of just disabling it in this circumstance. 
  CC'ing the orginal author for his comments.


Cheers,

Simon.



More information about the Dnsmasq-discuss mailing list